Freedome does not start with OS X High Sierra (v10.13) -> Freedome needs to make changes / osascr

Dear F-Secure Support,

 

I'm unable to start Freedome on my Mac. Everytime when the application is launched it prompts with the following: "F-Secure Freedome needs to make changes.  Freedome needs to update your configuration. Please enter your administration credentials in the next window".

 

After pressing 'next' to proceed, entering password and pressing 'OK' to continue, nothing happens. I've had the same problem with Sierra and its predecessor El Capitan. I have tried many things to resolve this but with no luck. Please dont say to check file permissions or remove the app and trying to download and install again as this does not work. 

 

I have purchased a subscription but unfortunately cant use it as your application is not working. Please help!

 

Best,

 

Johannes

Comments

  • Johannes_FI

    Koska kysymyksesi on täällä suomenkielisellä pyolella, vastaan suomeksi. Kirjautumisnimesikin viittaa finlandiaan.

    Tiedoksi: tämä COMMUNITY on keskusteluforum, ASIAKASPALVELUN yhteystiedot ovat oheisena:
    ☎ 09-2520 5050
    🗯 Chat F-S:n kotisivuilta
    https://www.f-secure.com/fi_FI/web/home_fi/support

    Periaatteessa High Sierra on tuettu käyttöjärjestelmä, tarkistin asian F-S:n kotisivuilta.

    Loggautuminen administrationina = järjestelmänvalvojan oikeuksilla siis ns pääkäyttäjänä. Huomaa tämä.

    Muistatko miten konfiguraatio oli El Capitan tai Sierra-versioissa? Miten ongelma ratkaistiin silloin? Mitä muutettiin?

    En käytä itse Applen tuotteita (laitteita&ohjelmia), joten en osaa naputella valmiita vastauksia.
    Ymmärrän kumminkin sen, että joskus tarvitaan jotain viilaamista, koska laitealustoita (tietokoneita, tabletteja, älykännyköitä) on markkinoilla erilaisia malleja ja lisää tulee. Samaten käyttöjärjestelmiä ja niistä on eri versioita.

    Tarkista asetukset, Freedomissa ja laitteen verkkoasetukset.

    Näsäviisas
  • BRIEFLY IN ENGLISH MY EARLIER MAIL

    - for information, that this Community is forum for diskussion
    - customer service (phone calls and chat) on F-Secures home page
    - High Sierra is obviously supported OS
    - logging in as administration user
    - how was configuration in El Capitan and Sierra?
    - check setup in Freedom and in MAC

    Näsäviisas, again..
  • LakshLaksh Posts: 4,431 Community Manager

    Hi Johannes,

     

    Mac OS High Sierra is still in beta version and is not released yet. Freedome might be working on Betas and Technology Previews of some OS's, however these versions are not officially supported. But, I will pass on your feedback to our Freedome team to keep them posted.

     

    Since you mentioned you have been seeing this issue in the previous versions of the OS, have you tried to get in touch with our support team for troubleshooting?

  • LakshLaksh Posts: 4,431 Community Manager

    Hi Johannes,

     

    Regarding the issue reported with High Sierra, I brought this to the attention of our team. They would like to investigate this further. So, I will send you a private message to get the logs.

     

    Thank you for reporting the issue.

  • DirkSDirkS Posts: 1

    Having the same problem, MacPro OSX El Capitan 10.11.6 - strange as I bought the 5 device licence and it installed without any problems on 3 other macs (2 MacBook Pro and one MacBook Air also running El Capitan - file size is identical. Tried deleting, downloading again, same error message.freedome.jpg

     

  • I have exactly the same problem. With one imac /10.11.6 works fine, with the second imac& same OS not.  Have contacted F-sec support team, no solution yet.

This discussion has been closed.